class TestDoublyLinked {
    public static void main(String[] args) {
            DoublyLinkedList list = new DoublyLinkedList();

            list.insert(1);
            list.insert(2);
            list.insert(3);
            list.insert(4);
            list.insert(5);

            list.printList();

            while(!list.isEmpty()) {
                    Cell deletedCell = list.delete();
                    System.out.print("deleted: ");deletedCell.printCell();
                    System.out.println("");
            }
            list.printList();
            
            System.out.println("Now with the iterator");
            
            list.insert(1);
            list.insert(2);
            list.insert(3);
            list.insert(4);
            list.insert(5);
             
            Iterator forwardI = list.createForwardIterator();
            Iterator backI = list.createBackIterator();
            
            System.out.print("list forward: ");
            while (forwardI.hasNext())
                ((Cell)forwardI.next()).printCell();
            System.out.println();

                
            System.out.print("list backward: ");
            while (backI.hasNext())
                ((Cell)backI.next()).printCell();
           System.out.println();
    }
}

